SDL_ReadU32LE(3)

NAME
SDL_ReadU32LE - Use this function to read 32 bits of little-endian data from an SDL_IOStream and return in native format.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_ReadU32LE(SDL_IOStream *src, Uint32 *value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the data returned will be in the native byte order.

This function will return false when the data stream is completely read, and SDL_GetIOStatus() will return SDL_IO_STATUS_EOF. If false is returned and the stream is not at EOF, SDL_GetIOStatus() will return a different error value and SDL_GetError() will offer a human-readable message.

FUNCTION PARAMETERS

src the stream from which to read data.

value
    a pointer filled in with the data read.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.